Skip to main content
GET
/
{chain_id}
/
stats-service
/
api
/
v1
/
pages
/
contracts
Returns stats to be displayed on the contracts page.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/stats-service/api/v1/pages/contracts \
  --header 'Authorization: Bearer <token>'
{
  "new_contracts_24h": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  },
  "new_verified_contracts_24h": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  },
  "total_contracts": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  },
  "total_verified_contracts": {
    "description": "<string>",
    "id": "<string>",
    "title": "<string>",
    "units": "<string>",
    "value": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Response

A successful response.

Pre-assembled set of statistics for the contracts page. Fields are optional because individual charts may be disabled.

new_contracts_24h
object
new_verified_contracts_24h
object
total_contracts
object
total_verified_contracts
object